ChangeSet 1.994.1.1, 2003/03/28 14:15:23-08:00, hannal@us.ibm.com

[PATCH] USB: input class hookup to existing support

Results in this tree /sys/class/input with a combined keyboard/mouse
USB device:

[root@w-hlinder2 input]# tree /sys/class/input
/sys/class/input
|-- devices
|   |-- 0 -> ../../../devices/pci0/00:0f.2/usb1/1-1/1-1.1/1-1.1:0
|   |-- 1 -> ../../../devices/pci0/00:0f.2/usb1/1-1/1-1.1/1-1.1:1
|   `-- 2 -> ../../../devices/pci0/00:0f.2/usb1/1-1/1-1.2/1-1.2:0
|-- drivers
|   `-- usb:hid -> ../../../bus/usb/drivers/hid
`-- mouse


 drivers/usb/input/hid-core.c |    3 +++
 drivers/usb/input/usbkbd.c   |    3 +++
 drivers/usb/input/usbmouse.c |    3 +++
 3 files changed, 9 insertions(+)


diff -Nru a/drivers/usb/input/hid-core.c b/drivers/usb/input/hid-core.c
--- a/drivers/usb/input/hid-core.c	Mon Apr  7 15:15:47 2003
+++ b/drivers/usb/input/hid-core.c	Mon Apr  7 15:15:47 2003
@@ -1664,6 +1664,9 @@
 	.probe =	hid_probe,
 	.disconnect =	hid_disconnect,
 	.id_table =	hid_usb_ids,
+	.driver	= {
+		.devclass = &input_devclass,
+	},
 };
 
 static int __init hid_init(void)
diff -Nru a/drivers/usb/input/usbkbd.c b/drivers/usb/input/usbkbd.c
--- a/drivers/usb/input/usbkbd.c	Mon Apr  7 15:15:47 2003
+++ b/drivers/usb/input/usbkbd.c	Mon Apr  7 15:15:47 2003
@@ -359,6 +359,9 @@
 	.probe =	usb_kbd_probe,
 	.disconnect =	usb_kbd_disconnect,
 	.id_table =	usb_kbd_id_table,
+	.driver	= {
+		.devclass = &input_devclass,
+	},
 };
 
 static int __init usb_kbd_init(void)
diff -Nru a/drivers/usb/input/usbmouse.c b/drivers/usb/input/usbmouse.c
--- a/drivers/usb/input/usbmouse.c	Mon Apr  7 15:15:47 2003
+++ b/drivers/usb/input/usbmouse.c	Mon Apr  7 15:15:47 2003
@@ -242,6 +242,9 @@
 	.probe		= usb_mouse_probe,
 	.disconnect	= usb_mouse_disconnect,
 	.id_table	= usb_mouse_id_table,
+	.driver	= {
+		.devclass = &input_devclass,
+	},
 };
 
 static int __init usb_mouse_init(void)
